### Method

# AppStreamCompose Compose set_media_result_dir

#### Declaration [src]

    void
    asc_compose_set_media_result_dir (
      AscCompose* compose,
      const gchar* dir
    )

#### Description [src]

Set an output location to store media (screenshots, icons, …) that will be served on a webserver via the URL set as media baseurl.

#### Parameters

`dir`

  Type: `const gchar*`

  The media storage location.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.